Next: psb_geasums Generalized Up: Computational routines Previous: psb_geamaxs Generalized Contents

## psb_norm1 -- 1-Norm of Vector

This function computes the 1-norm of a vector .
If is a real vector it computes 1-norm as:

else if is a complex vector then it computes 1-norm as:

    psb_geasum(x, desc_a, info)
    psb_norm1(x, desc_a, info)

Table 6: Data types
|  | Function
Short Precision Real | Short Precision Real | psb_geasum
Long Precision Real | Long Precision Real | psb_geasum
Short Precision Real | Short Precision Complex | psb_geasum
Long Precision Real | Long Precision Complex | psb_geasum

Type:
  Synchronous.
On Entry
x
  the local portion of global dense matrix .
  Scope: local
  Type: required
  Intent: in.
  Specified as: a rank one or two array or an object of type vdata`psb_T_vect_type` containing numbers of type specified in Table 6.
desc_a
  contains data structures for communications.
  Scope: local
  Type: required
  Intent: in.
  Specified as: an object of type descdata`psb_desc_type`.

On Return
Function value
  is the 1-norm of vector .
  Scope: global
  Specified as: a long precision real number.
info
  Error code.
  Scope: local
  Type: required
  Intent: out.
  An integer value; 0 means no error has been detected.

Next: psb_geasums Generalized Up: Computational routines Previous: psb_geamaxs Generalized Contents